# python-logger
用Python的logging模块写的logger

## USAGE
通过`pip`安装：
```bash
pip install minori-logger
```

通过`pip`更新到最新版
```bash
pip install minori-logger --upgrade
```

在代码中使用：
```python
from minori_logger import MinoriLogger
# ...
logger = MinoriLogger.get_logger("logger_name_and_filename")
# ...
logger.debug("平常的输出。代替print()")
logger.info("为了诊断问题而详细记录")
logger.warning("程序无法处理这种情形，但是应当记录此事件")
logger.exception("报告未抛出异常而抑制了此错误。程序抛出了异常。")
logger.error("报告未抛出异常而抑制了此错误。严重的错误。")
logger.critical("报告未抛出异常而抑制了此错误。非常严重的错误。")
```

## HOW TO PACKAGE THIS PROJECT
**仅用于作者发布此包时**
```bash
python3 setup.py sdist bdist_wheel
python3 setup.py upload
```

## CHANGELOG
_只保留最新的5条左右，其余的将移入CHANGELOG.md_

### [UNRELEASED]

### [0.4.2] - 2019-04-11
- CHANGE
```
*变更日志消息的格式：{datetime} {level} {message} {pathname}({line-number})
```

### [0.4.0] - 2019-04-11
- CHANGE
```
-默认logger名：minori
+默认logger名：log
-日志文件名：{log}.log
+日志文件名：{log}-{today}.log
```

### [0.3.0] - 2019-03-28
- FIX
  - 修正判断文件的创建日期之前未判断文件是否存在的BUG

### [0.2.0] - 2019-03-28
- CHANGE
  - 变更了处理旧日志的方式。现在，非当日创建的日志文件的内容将会被复制到含有日志文件创建日期的新文件中。过去，非当日创建的日志文件会被尝试重命名。

### [0.1.0] - 2019-03-27
- ADD
  - 通过指定不同的`logger_name`来使用不同的logger

## LICENSE
MIT &copy; [Futaba "一色双葉" Isshiki](https://futaba.love/about)

_END OF README.md_